summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYixun Lan <dlan@gentoo.org>2016-06-21 20:39:50 +0800
committerYixun Lan <dlan@gentoo.org>2016-06-21 20:39:50 +0800
commit9ba70749913ebaf95b55e1dfb0498bafc1f44d14 (patch)
treeda9e217a0367b31e4a3ba3ceaa3142615f1e00bc /dev-util/lttng-ust
parentdev-util/lttng-modules: version bump 2.7.4, 2.8.0 (diff)
downloadgentoo-9ba70749913ebaf95b55e1dfb0498bafc1f44d14.tar.gz
gentoo-9ba70749913ebaf95b55e1dfb0498bafc1f44d14.tar.bz2
gentoo-9ba70749913ebaf95b55e1dfb0498bafc1f44d14.zip
dev-util/lttng-ust: version bump, 2.7.4, 2.8.1
Package-Manager: portage-2.3.0_rc1
Diffstat (limited to 'dev-util/lttng-ust')
-rw-r--r--dev-util/lttng-ust/Manifest2
-rw-r--r--dev-util/lttng-ust/lttng-ust-2.7.4.ebuild31
-rw-r--r--dev-util/lttng-ust/lttng-ust-2.8.1.ebuild31
3 files changed, 64 insertions, 0 deletions
diff --git a/dev-util/lttng-ust/Manifest b/dev-util/lttng-ust/Manifest
index 78622630cee..6f78dfccc7c 100644
--- a/dev-util/lttng-ust/Manifest
+++ b/dev-util/lttng-ust/Manifest
@@ -1,2 +1,4 @@
DIST lttng-ust-2.6.5.tar.bz2 619053 SHA256 31ad8ae3a63a5009747732b5d015d19cd3fdb9a4524dcdc7b92c6b29b2120d8a SHA512 bf144c987b7ff62f70551db51a5605bc006b1d8a0e7f4197e1a2c7a7d79a1e4e786a658d0ec885f7d56c4d4f405da23717137c8b0d2be6289fc16ca84f06a230 WHIRLPOOL bec7bf92e07c2b606c726b48c691524f4821ce1dd7715a0784603968f40f2e1b01558f92d5a7019e060aa413624c96b35ad8242b261d2e936b0a315ca8529858
DIST lttng-ust-2.7.1.tar.bz2 643906 SHA256 878438f10a488aa5855615a3108f4759bd123fa795d70c34647146d70103ce16 SHA512 80ba4b79df2a0ba0606a31145a427c8c5b30e2a4ace20f9e4602738ace99fe88146569de549288ff33c809a606b6973c17c3effcf9699b5dca3383b8da5b10ee WHIRLPOOL b6f5d40594bddf60c5463167d70d09633b0bca9593c5b018ecf3220819926a0d44af6288340d76c3dfe2aea9b4c29a9301285b98f5aa55884a9efa39f7e82287
+DIST lttng-ust-2.7.4.tar.bz2 648002 SHA256 22f0c5cc81dfba1fca5ca31b00a5c1e1d3355bb8bab0cfbcb65996b28f01381c SHA512 f3164fd72724065d23b2b21aaa037b6e90f4eeb9dad75f16af4766374cd8a0a7a6eb2c815d93c17950a1048c5a32e6b334fa31b3d4b0f8314e352a9ddc8d4395 WHIRLPOOL f2f07db5ca98fa4d79c6e6af547705d9a3e81f3cb9ad4d3a2a6a1a27c49899823f0448dd37ffb569a19c4ad74af1bd49511ff40e99971c7c6866803adbb908ef
+DIST lttng-ust-2.8.1.tar.bz2 743271 SHA256 6e41349107e83e7b43c69ed358e48788ca2fd095bad61737b850e3f3d2c0508a SHA512 15c459620cb73ef5be8c7df2ef02663ef650555b973a3d1ed976ae38068b53a8c83143a611bcb53e91a3f211361c44cd2a331cb41dd53d28a69924f7ac44cc95 WHIRLPOOL fe0dab78804fe9ebefe4470936b36ae416c5570369c71bf6b7ad1fcd71de888a4bc509629e7d8ec03df8b13cb291263659fb3f072e20f19160754ed025b7f550
diff --git a/dev-util/lttng-ust/lttng-ust-2.7.4.ebuild b/dev-util/lttng-ust/lttng-ust-2.7.4.ebuild
new file mode 100644
index 00000000000..c3f261f5db6
--- /dev/null
+++ b/dev-util/lttng-ust/lttng-ust-2.7.4.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools versionator
+
+MY_P="${P/_rc/-rc}"
+MY_SLOT="$(get_version_component_range 1-2)"
+
+DESCRIPTION="Linux Trace Toolkit - UST library"
+HOMEPAGE="http://lttng.org"
+SRC_URI="http://lttng.org/files/${PN}/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0/${MY_SLOT}"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="examples"
+
+DEPEND="dev-libs/userspace-rcu"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"/${MY_P}
+
+src_prepare() {
+ if ! use examples; then
+ sed -i -e '/SUBDIRS/s:examples::' doc/Makefile.am || die
+ fi
+ eautoreconf
+}
diff --git a/dev-util/lttng-ust/lttng-ust-2.8.1.ebuild b/dev-util/lttng-ust/lttng-ust-2.8.1.ebuild
new file mode 100644
index 00000000000..c3f261f5db6
--- /dev/null
+++ b/dev-util/lttng-ust/lttng-ust-2.8.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools versionator
+
+MY_P="${P/_rc/-rc}"
+MY_SLOT="$(get_version_component_range 1-2)"
+
+DESCRIPTION="Linux Trace Toolkit - UST library"
+HOMEPAGE="http://lttng.org"
+SRC_URI="http://lttng.org/files/${PN}/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0/${MY_SLOT}"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="examples"
+
+DEPEND="dev-libs/userspace-rcu"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"/${MY_P}
+
+src_prepare() {
+ if ! use examples; then
+ sed -i -e '/SUBDIRS/s:examples::' doc/Makefile.am || die
+ fi
+ eautoreconf
+}